Xalan-Java 2.7.1: Class ProcessorCharacters

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.xalan.processor
Class ProcessorCharacters

    java.lang.Object
      |
      +--org.apache.xml.utils.UnImplNode
            |
            +--org.apache.xalan.templates.ElemTemplateElement
                  |
                  +--org.apache.xalan.processor.XSLTElementProcessor
                        |
                        +--org.apache.xalan.processor.ProcessorCharacters

public class ProcessorCharacters
extends XSLTElementProcessor

This class processes character events for a XSLT template element.

See Also:
  XSLT DTD, section-Creating-the-Result-Tree in XSLT Specification, Serialized Form

Constructor Summary
`ProcessorCharacters()`

Method Summary
`void` | `characters(StylesheetHandler handler, char[] ch, int start, int length)` Receive notification of character data inside an element.
`void` | `endElement(StylesheetHandler handler, java.lang.String uri, java.lang.String localName, java.lang.String rawName)` Receive notification of the end of an element.
`void` | `startNonText(StylesheetHandler handler)` Receive notification of the start of the non-text event.

Methods inherited from class org.apache.xalan.processor.XSLTElementProcessor
`ignorableWhitespace, notationDecl, processingInstruction, resolveEntity, skippedEntity, startElement, unparsedEntityDecl`

Methods inherited from class org.apache.xalan.templates.ElemTemplateElement
`appendChild, appendChild, callVisitors, canAcceptVariables, canStripWhiteSpace, compareTo, compose, containsExcludeResultPrefix, endCompose, error, error, execute, exprAddChild, exprGetChild, exprGetNumChildren, exprGetParent, exprSetParent, getBaseIdentifier, getChildNodes, getColumnNumber, getDeclaredPrefixes, getDOMBackPointer, getEndColumnNumber, getEndLineNumber, getFirstChild, getFirstChildElem, getLastChild, getLastChildElem, getLength, getLineNumber, getLocalName, getNamespaceForPrefix, getNamespaceForPrefix, getNextSibling, getNextSiblingElem, getNodeName, getNodeType, getOwnerDocument, getOwnerXSLTemplate, getParentElem, getParentNode, getParentNodeElem, getPreviousSibling, getPreviousSiblingElem, getPublicId, getStylesheet, getStylesheetComposed, getStylesheetRoot, getSystemId, getTagName, getUid, getXmlSpace, getXSLToken, handlesNullPrefixes, hasChildNodes, hasTextLitOnly, hasVariableDecl, insertBefore, isCompiledTemplate, item, recompose, removeChild, replaceChild, replaceChild, resolvePrefixTables, runtimeInit, setDOMBackPointer, setEndLocaterInfo, setLocaterInfo, setParentElem, setPrefixes, setPrefixes, setUid, setXmlSpace, shouldStripWhiteSpace`

Methods inherited from class org.apache.xml.utils.UnImplNode
`adoptNode, appendData, cloneNode, compareDocumentPosition, createAttribute, createAttributeNS, createCDATASection, createComment, createDocumentFragment, createElement, createElementNS, createEntityReference, createProcessingInstruction, createTextNode, deleteData, getActualEncoding, getAttribute, getAttributeNode, getAttributeNodeNS, getAttributeNS, getAttributes, getBaseURI, getDoctype, getDocumentElement, getDocumentURI, getDomConfig, getElementById, getElementsByTagName, getElementsByTagNameNS, getFeature, getImplementation, getInputEncoding, getNamespaceURI, getNodeValue, getOwnerElement, getPrefix, getSchemaTypeInfo, getSpecified, getStrictErrorChecking, getTextContent, getUserData, getWholeText, getXmlEncoding, getXmlStandalone, getXmlVersion, hasAttribute, hasAttributeNS, hasAttributes, importNode, insertData, isDefaultNamespace, isEqualNode, isId, isSameNode, isSupported, isWhitespaceInElementContent, lookupNamespaceURI, lookupPrefix, normalize, normalizeDocument, removeAttribute, removeAttributeNode, removeAttributeNS, removeChild, renameNode, replaceData, replaceWholeText, setActualEncoding, setAttribute, setAttributeNode, setAttributeNodeNS, setAttributeNS, setData, setDocumentURI, setIdAttribute, setIdAttribute, setIdAttributeNode, setIdAttributeNS, setInputEncoding, setNodeValue, setPrefix, setStrictErrorChecking, setTextContent, setUserData, setValue, setXmlEncoding, setXmlStandalone, setXmlVersion, splitText, substringData`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ProcessorCharacters

    public ProcessorCharacters()

Method Detail

### startNonText

    public void startNonText(StylesheetHandler handler)
                      throws SAXException

  Receive notification of the start of the non-text event. This is sent to the current processor when any non-text event occurs.
  Parameters:
    `handler` - non-null reference to current StylesheetHandler that is constructing the Templates.
  Overrides:
    startNonText in class XSLTElementProcessor

### characters

    public void characters(StylesheetHandler handler,
                           char[] ch,
                           int start,
                           int length)
                    throws SAXException

  Receive notification of character data inside an element.
  Parameters:
    `handler` - non-null reference to current StylesheetHandler that is constructing the Templates.
    `ch` - The characters.
    `start` - The start position in the character array.
    `length` - The number of characters to use from the character array.
  Throws:
    SAXException - Any SAX exception, possibly wrapping another exception.
  Overrides:
    characters in class XSLTElementProcessor
  See Also:
    `ContentHandler.characters(char[], int, int)`

### endElement

    public void endElement(StylesheetHandler handler,
                           java.lang.String uri,
                           java.lang.String localName,
                           java.lang.String rawName)
                    throws SAXException

  Receive notification of the end of an element.
  Parameters:
    `handler` - The calling StylesheetHandler/TemplatesBuilder.
    `uri` - The Namespace URI, or the empty string if the element has no Namespace URI or if Namespace processing is not being performed.
    `localName` - The local name (without prefix), or the empty string if Namespace processing is not being performed.
    `rawName` - The raw XML 1.0 name (with prefix), or the empty string if raw names are not available.
  Overrides:
    endElement in class XSLTElementProcessor
  See Also:
    `StylesheetHandler.startElement(java.lang.String, java.lang.String, java.lang.String, org.xml.sax.Attributes)`, `StylesheetHandler.endElement(java.lang.String, java.lang.String, java.lang.String)`, `ContentHandler.startElement(java.lang.String, java.lang.String, java.lang.String, org.xml.sax.Attributes)`, `ContentHandler.endElement(java.lang.String, java.lang.String, java.lang.String)`, `Attributes`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2006 Apache XML Project. All Rights Reserved.